Skip to main content

Wallet API

wallet API endpoints.

Endpoints​

MethodPathDescription
GET/api/age/{address}Wallet age and first transaction
GET/api/balance/{address}ETH balance across multiple chains
GET/api/misc/age/{address}Address age
GET/api/misc/balance/{address}ETH balance
GET/api/nfts/{address}NFT holdings summary
GET/api/nonce/{address}Address transaction count
GET/api/tokens/{address}ERC20 token balances
GET/api/tokens/aiAI tokens
GET/api/tokens/defiDeFi governance tokens
GET/api/tokens/gamingGaming tokens
GET/api/tokens/l2L2 native tokens
GET/api/tokens/memecoinsTop memecoins
GET/api/tokens/rwaRWA tokens
GET/api/tokens/stablecoinsAll stablecoins
GET/api/transfers/{address}ERC20 token transfer history
GET/api/txs/{address}Recent transaction history
GET/api/wallet/age/{address}Wallet age (first transaction date)
GET/api/wallet/balance/{address}Multi-chain balance
GET/api/wallet/checksum/{address}Checksum address
GET/api/wallet/first-tx/{address}Wallet first transaction date
GET/api/wallet/nonce/{address}Wallet transaction count (nonce)
GET/api/wallet/pnl/{address}Wallet profit/loss
GET/api/wallet/validate/{address}Validate address

Quick Start​

# Example: /api/age/\{address\}
curl -s "https://api.web3identity.com/api/age/example" | jq